﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WPF_Entity_Examole
{
    /// <summary>
    /// Логика взаимодействия для MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        dbSchool db;
        public MainWindow()
        {
            InitializeComponent();
        }

        private void InsertClick_Click(object sender, RoutedEventArgs e)
        {
            Student student = new Student();
            student.Firstname = txtFist.Text;
            student.LastName = txtLast.Text;
            db.Student.Add(student);
            db.SaveChanges();
            dgogrenci.ItemsSource = db.Student.ToList();
        }

        private void DeleteClick_Click(object sender, RoutedEventArgs e)
        {
            int num = Convert.ToInt32(txtId.Text);
            var dRow = db.Student.Where(w => w.IdStudent == num).FirstOrDefault();
            db.Student.Remove(dRow);
            db.SaveChanges();
            dgogrenci.ItemsSource = db.Student.ToList();
        }

        private void UpdateClick_Click(object sender, RoutedEventArgs e)
        {
            int num = Convert.ToInt32(txtId.Text);
            var uRow = db.Student.Where(w => w.IdStudent == num).FirstOrDefault();
            uRow.Firstname = txtFist.Text;
            uRow.LastName = txtLast.Text;
            db.SaveChanges();
            dgogrenci.ItemsSource = db.Student.ToList();
        }

        private void Dgogrenci_Loaded(object sender, RoutedEventArgs e)
        {
            db = new dbSchool();
            dgogrenci.ItemsSource = db.Student.ToList();
        }
    }
}
