﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WPF_Entity_Examole
{
    /// <summary>
    /// Логика взаимодействия для MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        gr671_mkyuEntities db;
        public MainWindow()
        {
            InitializeComponent();
        }

        private void InsertClick_Click(object sender, RoutedEventArgs e)
        {
            Call call = new Call();
            call.DateCall  = Convert.ToDateTime(txtFirst.Text);
            call.LongCall = Convert.ToInt32(txtLast.Text);
            call.IdUser = Convert.ToInt32(txtUser.Text);
            call.IdLead = Convert.ToInt32(txtLead.Text);

            db.Call.Add(call);
            db.SaveChanges();
            dgogrenci.ItemsSource = db.Call.ToList();
        }

        private void DeleteClick_Click(object sender, RoutedEventArgs e)
        {
            int num = (dgogrenci.SelectedItem as Call).IdCall;
            var dRow = db.Call.Where(w => w.IdCall == num).FirstOrDefault();
            db.Call.Remove(dRow);
            db.SaveChanges();
            dgogrenci.ItemsSource = db.Call.ToList();
        }

        private void UpdateClick_Click(object sender, RoutedEventArgs e)
        {
            int num = (dgogrenci.SelectedItem as Call).IdCall;
            var uRow = db.Call.Where(w => w.IdCall == num).FirstOrDefault();
           // uRow.Firstname = txtFist.Text;
           // uRow.LastName = txtLast.Text;
            db.SaveChanges();
            dgogrenci.ItemsSource = db.Call.ToList();
        }

        private void Dgogrenci_Loaded(object sender, RoutedEventArgs e)
        {
            db = new gr671_mkyuEntities();
            dgogrenci.ItemsSource = db.Call.ToList();
        }
    }
}
